Skip to main content

Coloured Power Law

coloured-power-law

Chart: Coloured Power Law

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0day_countstringDay count (x-axis)
1datestringDate (ISO)
2power_law_high_bandstringPower law high band
3power_law_mid_bandstringPower law mid band
4power_law_low_bandstringPower law low band
5tick_valuestringTick value (year-start only, else null)
6tick_textstringTick text (year label)
7closing_pricestringClosing price
8deviation_from_mid_bandstring% deviation from mid band
9deviation_percentilestringDeviation percentile
10colorstringColor

Example Request

https://charts.bitbo.io/api/v1/coloured-power-law/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/coloured-power-law/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/coloured-power-law/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"12.34",
"2025-05-07",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"#ff0000"
],
[
"23.45",
"2025-05-08",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"#ff0000"
],
[
"34.56",
"2025-05-09",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"#ff0000"
]
]
}